import { type NavigationItem } from "./types.js";
/**
 * @since 6.0.0
 */
export declare function getHrefFromParents(parents: readonly NavigationItem[]): string;
/**
 * @since 6.0.0
 */
export declare function getNavigationGroupId(group: NavigationItem, parents: readonly NavigationItem[]): string;
/**
 * @since 6.0.0
 */
export declare function getPartsFromPathname(pathname: string): ReadonlySet<string>;
